Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.apache.myfaces.wap.def
Class OutputLink  view OutputLink download OutputLink.java

java.lang.Object
  extended byjavax.faces.component.UIComponent
      extended byjavax.faces.component.UIComponentBase
          extended byjavax.faces.component.UIOutput
              extended byorg.apache.myfaces.wap.def.OutputLink
All Implemented Interfaces:
javax.faces.component.StateHolder, javax.faces.component.ValueHolder

public class OutputLink
extends javax.faces.component.UIOutput

Render an WML "a" anchor element. The value of the component is rendered as the value of the "href" attribute. Any child UIParameter components are appended to the String to be output as the value of the "href" attribute as query parameters before rendering. The entire "href" string must be passed through a call to the encodeResourceURL() method of theExternalContext. The name of the UIParameter goes on the left hand side, and the value of the UIParameter on the right hand side. The name and the value must be URLEncoded. Each UIParameter instance is separeted by an ampersand, as dictated in the URL spec. If the "styleClass" attribute is specified, render its value as the value of the "class" attribute.

Version:
$Revision: 1.1 $ $Date: 2004/12/30 09:37:25 $ $Log: OutputLink.java,v $ Revision 1.1 2004/12/30 09:37:25 matzew added a new RenderKit for WML. Thanks to Jirí Žaloudek

Field Summary
(package private)  java.lang.String binding
          The value binding expression linking this component to a property in a backing bean.
(package private)  java.lang.String converter
          Converter instance registered with this component.
(package private)  java.lang.String id
          The component identifier for the associated component.
(package private)  boolean rendered
          Flag indicating whether or not this component should be rendered (during Render Response Phase), or processed on any subsequent form submit.
(package private)  java.lang.String styleClass
          Space-separated list of style class(es) to be applied when this element is rendered.
(package private)  java.lang.String title
          Defines a text identifying the link.
(package private)  java.lang.Object value
          The current value of this component.
(package private)  java.lang.String xmllang
          The xml:lang attribute specifies the natural or formal language of an element or its attributes.
 
Fields inherited from class javax.faces.component.UIOutput
COMPONENT_FAMILY, COMPONENT_TYPE
 
Fields inherited from class javax.faces.component.UIComponentBase
 
Constructor Summary
OutputLink()
           
 
Methods inherited from class javax.faces.component.UIOutput
getConverter, getFamily, getLocalValue, getValue, restoreState, saveState, setConverter, setValue
 
Methods inherited from class javax.faces.component.UIComponentBase
addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

title

java.lang.String title
Defines a text identifying the link.


xmllang

java.lang.String xmllang
The xml:lang attribute specifies the natural or formal language of an element or its attributes.


styleClass

java.lang.String styleClass
Space-separated list of style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.


id

java.lang.String id
The component identifier for the associated component.


rendered

boolean rendered
Flag indicating whether or not this component should be rendered (during Render Response Phase), or processed on any subsequent form submit.


binding

java.lang.String binding
The value binding expression linking this component to a property in a backing bean.


converter

java.lang.String converter
Converter instance registered with this component.


value

java.lang.Object value
The current value of this component.

Constructor Detail

OutputLink

public OutputLink()